"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var formContainer = function formContainer(Constructor) {
  return class extends Constructor {
    constructor() {
      var _this;

      _this = super(...arguments);

      if (this.__formCreators) {
        this.__formCreators.forEach(function (creator) {
          return creator(_this);
        });
      }
    }
  };
};

exports.default = formContainer;